## jigit 1.14

=== Makefile ===
BINS = jigdump mkimage jigsum rsyncsum
CFLAGS = -g -Wall -Werror -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
CC = gcc

all: $(BINS)

mkimage: mkimage.o endian.o md5.o
	$(CC) -o $@ $+ -lz # -lbz2

jigsum: jigsum.o md5.o
	$(CC) -o $@ $+

rsyncsum: rsync.o md5.o
	$(CC) -o $@ $+

jigdump: jigdump.o md5.o
	$(CC) -o $@ $+

clean:
	rm -f *.o $(BINS) *~

distclean: clean

## jigit 1.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BINS = jigdump mkimage jigsum rsyncsum
 CFLAGS = -g -Wall -Werror -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
-CC = gcc
+#CC = gcc
 
 all: $(BINS)

## jigit 1.16

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: $(BINS)
 
 mkimage: mkimage.o endian.o md5.o
-	$(CC) -o $@ $+ -lz # -lbz2
+	$(CC) -o $@ $+ -lz -lbz2
 
 jigsum: jigsum.o md5.o
 	$(CC) -o $@ $+
@@ -17,6 +17,6 @@
 	$(CC) -o $@ $+
 
 clean:
-	rm -f *.o $(BINS) *~
+	rm -f *.o $(BINS) *~ build-stamp
 
 distclean: clean

## jigit 1.19

=== Makefile ===
BINS = jigdump jigit-mkimage jigsum rsyncsum lib
CFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
#CC = gcc

all: $(BINS)

jigit-mkimage: mkimage.o endian.o md5.o
	$(CC) -o $@ $+ -lz -lbz2

jigsum: jigsum.o md5.o
	$(CC) -o $@ $+

rsyncsum: rsync.o md5.o
	$(CC) -o $@ $+

jigdump: jigdump.o md5.o
	$(CC) -o $@ $+

lib: libjte/Makefile
	make -C libjte

libjte/Makefile:
	cd libjte && ./configure

clean:
	rm -f *.o $(BINS) *~ build-stamp
	-make -C libjte clean

distclean: clean
	-make -C libjte distclean

=== debian/changelog ===
jigit (1.19-2) unstable; urgency=low

  * Use dh-autoreconf to update libtool.m4 for new ports.
    Closes: #727293. Thanks to Colin Watson for the (updated) patch.
  * Misc maintenance:
    + Switch source format to 3.0 'quilt'.
    + Update Standards-Version to 3.9.5
    + Add build-arch and build-indep targets
    + Add hardening compilation options

 -- Steve McIntyre <93sam@debian.org>  Thu, 19 Dec 2013 13:13:18 +0000

jigit (1.19-1) unstable; urgency=low

  * New upstream release.
    + Improved error-handling in mkimage and libjte.
      - mkjigsnap rewrite:
      - merge two old implementations
      - switch to perl: cleaner code, much faster snapshot generation
      - added -v (verbose) and -N (dry-run) options
    + Put AC_CONFIG_MACRO_DIR in a better place in the libjte configure
      script.
    + Remove -Werror from the Makefile - gcc is getting more and more
      pedantic with every release, and this may cause package builds to
      fail.
  * Removed the jigit script itself - it hasn't worked in ages, and just
    doesn't seem to be useful any more. Closes: #506449

 -- Steve McIntyre <93sam@debian.org>  Thu, 16 Jun 2011 15:36:51 +0100

jigit (1.18-2) unstable; urgency=low

  * Turn off -Werror for release builds. Leaving the bug open, as I have
    reassigned it to gcc-4.6.

 -- Steve McIntyre <93sam@debian.org>  Sun, 29 May 2011 14:24:28 +0100

jigit (1.18-1) unstable; urgency=low

  * New upstream release.
    + More dynamic memory handling in mkimage, instead of allocating
      fixed-size strings on the stack. Should now work on Hurd too.
    + Fix man page syntax errors.
    + s,config.h,../config.h, in libjte for easier use by the xorriso folks

 -- Steve McIntyre <93sam@debian.org>  Sat, 30 Apr 2011 19:06:18 +0100

jigit (1.17-2) unstable; urgency=low

  * Include jigdo-gen-md5-list and its man page. Closes: #620155

 -- Steve McIntyre <93sam@debian.org>  Wed, 30 Mar 2011 20:57:56 +0100

jigit (1.17-1) unstable; urgency=low

  * New upstream release, complete with new libjte code.

 -- Steve McIntyre <93sam@debian.org>  Sun, 20 Mar 2011 01:17:45 +0000

jigit (1.16-2) unstable; urgency=low

  * Rename the mkimage binary to jigit-mkimage so we don't clash with
    uboot-mkimage. Closes: #472218
  * Install iso-image.pl as an example CGI. (Closes: #471702)

 -- Steve McIntyre <93sam@debian.org>  Sun, 23 Mar 2008 20:57:42 +0000

jigit (1.16-1) unstable; urgency=low

  * New upstream version with fixes for several bugs:
    + Remove build-stamp from the upstream tarball; Closes: #445003
    + Fix wget options typo; Closes: #416420, #444413
    + In mkimage, don't stat every file mentioned in the md5 list until we
      need to. Closes: #340312. Thanks to Ian Jackson for the patch.
  * Updated Standards-Version and debhelper version.

 -- Steve McIntyre <93sam@debian.org>  Thu, 18 Oct 2007 02:25:23 +0100

jigit (1.15-2) unstable; urgency=low

  * Fixes for GCC4 compilation. Thanks to Andreas Jochens for the
    patch. Closes: #292999

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 Jul 2005 22:08:28 +0100

jigit (1.15-1) unstable; urgency=low

  * New upstream version. mkimage code refactored to make it easier
    to maintain.
  * Cleaned up licensing - added explicit GPL v2 headers all over.	
  * Fix image reconstruction with jigit. Closes: #287993.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Jan 2005 22:39:28 +0000

jigit (1.14-6) unstable; urgency=low

  * Fix jigdo-handling problem; cope with missing files better.

 -- Steve McIntyre <93sam@debian.org>  Sun, 02 Jan 2005 12:27:12 +0000

jigit (1.14-5) unstable; urgency=low

  * Fix FTBFS with gcc-4.0. Closes: #286486

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Dec 2004 18:01:01 +0000

jigit (1.14-4) unstable; urgency=low

  * Doh! Fix silly bug in the previous change...

 -- Steve McIntyre <93sam@debian.org>  Mon, 06 Dec 2004 00:06:02 +0000

jigit (1.14-3) unstable; urgency=low

  * Minor cosmetic updates to mkimage; fail immediately if we're missing
    files and we're not trying to build a "missing" list

 -- Steve McIntyre <93sam@debian.org>  Thu, 11 Nov 2004 01:49:02 +0000

jigit (1.14-2) unstable; urgency=low

  * Fixed formatting of Description in the control file. Closes: #278111
  * Added Recommends: wget for the jigit script.

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Oct 2004 23:31:02 +0100

jigit (1.14-1) unstable; urgency=low

  * Fixed generation of rsyncsums
  * Added -d option to mkjigsnap to specify DIRNAME
  * Minor prettiness tweaks to output UI of mkimage and jigit
  * 64-bit printf fixes

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Oct 2004 11:53:26 +0100

jigit (1.13-2) unstable; urgency=low

  * Added build-dep on zlib1g-dev.

 -- Steve McIntyre <93sam@debian.org>  Tue, 21 Sep 2004 15:06:26 +0100

jigit (1.13-1) unstable; urgency=low

  * Initial upload.

 -- Steve McIntyre <93sam@debian.org>  Thu, 09 Sep 2004 11:49:43 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	AUTOMAKE='automake --foreign' dh_autoreconf
	cd libjte && ./configure --prefix=/usr
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	$(MAKE) distclean

	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	dh_install -pjigit jigit-mkimage jigdump jigsum usr/bin
	dh_install -pjigit libjte/bin/jigdo-gen-md5-list usr/bin
	dh_install -pjigit mkjigsnap usr/sbin
	dh_install -pjigit jigit-mkimage.1 jigdump.1 jigsum.1 usr/share/man/man1
	dh_install -pjigit libjte/doc/jigdo-gen-md5-list.1 usr/share/man/man1
	dh_install -pjigit mkjigsnap.8 usr/share/man/man8
	dh_install -pjigit iso-image.pl usr/share/doc/jigit/examples

	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib
	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib

	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib
	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib
	dh_install -plibjte-dev libjte/libjte.h usr/include/libjte
	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/pkgconfig

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_makeshlibs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## jigit 1.20

=== Makefile ===
BINS = jigdump jigit-mkimage jigsum rsyncsum lib extract-data
CFLAGS += -g -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
#CC = gcc

all: $(BINS)

jigit-mkimage: mkimage.o endian.o md5.o uncompress.o
	$(CC) $(LDFLAGS) -o $@ $+ -lz -lbz2

extract-data: extract-data.o endian.o uncompress.o
	$(CC) $(LDFLAGS) -o $@ $+ -lz -lbz2

jigsum: jigsum.o md5.o
	$(CC) $(LDFLAGS) -o $@ $+

rsyncsum: rsync.o md5.o
	$(CC) $(LDFLAGS) -o $@ $+

jigdump: jigdump.o md5.o
	$(CC) $(LDFLAGS) -o $@ $+

lib: libjte/Makefile
	make -C libjte

libjte/Makefile:
	cd libjte && ./configure

clean:
	rm -f *.o $(BINS) *~ build-stamp
	-make -C libjte clean

distclean: clean
	-make -C libjte distclean

=== debian/changelog ===
jigit (1.20-2ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:10 +0000

jigit (1.20-2ubuntu1) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 02:13:12 +0100

jigit (1.20-2) unstable; urgency=medium

  * Update the priority of libjte1 to optional, to match libisofs6 that
    depends on it.
  * Update Standards-Version

 -- Steve McIntyre <93sam@debian.org>  Wed, 18 Nov 2015 00:46:22 +0000

jigit (1.20-1) unstable; urgency=medium

  * New upstream release. Changes:
    + mkjigsnap:
      - Add support for tracking back-references, i.e. which jigdo did a
        particular file come from.
      - Add support for verifying checksums
    + jigsum:
      - Add support for verifying checksums, similar to md5sum etc.
    + Misc code cleanups:
      - warnings
      - sparse errors
      - Fix memset calls to zero the right amount of memory
  * Drop hardening compilation patch - now upstream
    + Add hardening compilation options

 -- Steve McIntyre <93sam@debian.org>  Mon, 18 Aug 2014 16:09:25 +0100

=== debian/control ===
Source: jigit
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 8), zlib1g-dev, libbz2-dev, dh-autoreconf
Standards-Version: 3.9.6.0
Homepage: http://www.einval.com/~steve/software/JTE/

Package: jigit
Section: utils
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libio-compress-perl
Recommends: wget
Description: tools for working with jigdo files
 Utilities written to make jigdo files easier to work with.
 .
  jigit-mkimage: program to create images from jigdo files
  iso-image.pl:  example CGI wrapper for mkimage - make images on the fly!
  jigdump:       list the contents of a template file 
  jigsum:        Output MD5 sums in the base64-style jigdo way
  mkjigsnap:     helper script to be run on the upstream server

Package: libjte1
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Jigdo Template Export - runtime library
 libjte is a library providing support for creating jigdo files, to be
 used by ISO image creation tools such as xorriso.
 .
 This package provides the runtime library file needed to run software
 written using libjte

Package: libjte-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte1 (= ${binary:Version})
Description: Jigdo Template Export - development
 libjte is a library providing support for creating jigdo files, to be
 used by ISO image creation tools such as xorriso.
 .
 This package provides the header and development files needed to build
 programs and packages that use libjte.

## jigit 1.21

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-BINS = jigdump jigit-mkimage jigsum rsyncsum lib extract-data
-CFLAGS += -g -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
+BINS = jigdump jigit-mkimage jigsum rsyncsum lib extract-data parallel-sums
+CFLAGS += -g -Wall -pthread -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
 #CC = gcc
 
 all: $(BINS)
@@ -25,6 +25,9 @@
 libjte/Makefile:
 	cd libjte && ./configure
 
+parallel-sums: parallel-sums.o libjte/Makefile
+	$(CC) -pthread $(LDFLAGS) -o $@ parallel-sums.o libjte/libjte_libjte_la-checksum.o libjte/libjte_libjte_la-md5.o libjte/libjte_libjte_la-sha*.o -lpthread
+
 clean:
 	rm -f *.o $(BINS) *~ build-stamp
 	-make -C libjte clean

=== debian/changelog ===
jigit (1.21-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Multiarchify the library packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 May 2019 15:13:22 -0700

jigit (1.21-1) unstable; urgency=medium

  * New upstream release
    + parallel-sums:
      - New utility for calculating checksums in parallel
    + Misc code cleanups
    + Misc man page cleanups
    + jigit-mkimage:
      - Print missing file names correctly
  * Update Standards-Version
  * Update debhelper compat level to 10
    + Remove obsolete build-dep on dh-autoreconf
  * Move all packages from Priority: extra to Priority: optional

 -- Steve McIntyre <93sam@debian.org>  Mon, 04 Feb 2019 18:21:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: jigit
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev, libbz2-dev, dh-autoreconf
-Standards-Version: 3.9.6.0
-Homepage: http://www.einval.com/~steve/software/JTE/
+Build-Depends: debhelper (>= 10), zlib1g-dev, libbz2-dev
+Standards-Version: 4.3.0
+Homepage: https://www.einval.com/~steve/software/JTE/
 
 Package: jigit
 Section: utils
-Priority: extra
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libio-compress-perl
 Recommends: wget
@@ -21,6 +21,7 @@
   jigdump:       list the contents of a template file 
   jigsum:        Output MD5 sums in the base64-style jigdo way
   mkjigsnap:     helper script to be run on the upstream server
+  parallel-sums: program to generate multiple checksums in parallel
 
 Package: libjte1
 Section: libs
@@ -38,7 +39,7 @@
 
 Package: libjte-dev
 Section: libdevel
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte1 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -39,24 +40,26 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
+	dh_installdirs -plibjte-dev /usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
 
 	# Add here commands to install the package into debian/<packagename>
 	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
-	dh_install -pjigit jigit-mkimage jigdump jigsum usr/bin
+	dh_install -pjigit jigit-mkimage jigdump jigsum parallel-sums usr/bin
 	dh_install -pjigit libjte/bin/jigdo-gen-md5-list usr/bin
 	dh_install -pjigit mkjigsnap usr/sbin
 	dh_install -pjigit jigit-mkimage.1 jigdump.1 jigsum.1 usr/share/man/man1
+	dh_install -pjigit parallel-sums.1 usr/share/man/man1
 	dh_install -pjigit libjte/doc/jigdo-gen-md5-list.1 usr/share/man/man1
 	dh_install -pjigit mkjigsnap.8 usr/share/man/man8
 	dh_install -pjigit iso-image.pl usr/share/doc/jigit/examples
 
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib
+	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib/$(DEB_HOST_MULTIARCH)
 
-	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib
-	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib
+	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -plibjte-dev libjte/libjte.h usr/include/libjte
-	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/pkgconfig
+	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 # Build architecture-independent files here.
 binary-indep: build install

## jigit 1.22

=== Makefile ===
BINS = jigdump jigit-mkimage jigsum jigsum-sha256 rsyncsum lib extract-data parallel-sums
CFLAGS += -g -Wall -I libjte -pthread -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
#CC = gcc

CKSUM_OBJS = libjte/libjte_libjte_la-checksum.o libjte/libjte_libjte_la-md5.o libjte/libjte_libjte_la-sha1.o libjte/libjte_libjte_la-sha256.o libjte/libjte_libjte_la-sha512.o

all: $(BINS)

jigit-mkimage: mkimage.o endian.o md5.o libjte/libjte_libjte_la-sha256.o uncompress.o jig-base64.o
	$(CC) $(LDFLAGS) -o $@ $+ -lz -lbz2

extract-data: extract-data.o endian.o uncompress.o
	$(CC) $(LDFLAGS) -o $@ $+ -lz -lbz2

jigsum: jigsum.o md5.o jig-base64.o
	$(CC) $(LDFLAGS) -o $@ $+

jigsum-sha256: jigsum-sha256.o libjte/libjte_libjte_la-sha256.o jig-base64.o
	$(CC) $(LDFLAGS) -o $@ $+

rsyncsum: rsync.o md5.o jig-base64.o
	$(CC) $(LDFLAGS) -o $@ $+

jigdump: jigdump.o md5.o jig-base64.o
	$(CC) $(LDFLAGS) -o $@ $+

lib: libjte/Makefile
	make -C libjte

libjte/Makefile:
	cd libjte && ./configure

$(CKSUM_OBJS): lib

parallel-sums: parallel-sums.o $(CKSUM_OBJS)
	$(CC) -pthread $(LDFLAGS) -o $@ $+ -lpthread

clean:
	rm -f *.o $(BINS) *~ build-stamp
	-make -C libjte clean

distclean: clean
	-make -C libjte distclean

# Create source tarball from git. Complicated some - do autoconf dance
# in there too
gitdist:	Makefile
		@VERSION=$$(git describe | awk '{gsub("^.*/","");gsub("^v","");print $$0}'); \
		echo "VERSION is $$VERSION"; \
		OUTPUT="jigit-$$VERSION"; \
		WD=$$(pwd); \
		if [ -e "../$$OUTPUT.tar.xz" ]; then \
		 echo "../$$OUTPUT.tar.xz exists - delete it first"; \
		 exit 1; \
		fi ; \
		if [ -d "../$$OUTPUT" ]; then \
		 echo "../$$OUTPUT exists - delete it first"; \
		 exit 1; \
		fi ; \
		echo "Creating working dir in ../$$OUTPUT"; \
		git archive --format=tar --prefix="$$OUTPUT/" HEAD | tar -C .. -xf - ; \
		echo "Running autoconf then cleanup in ../$$OUTPUT"; \
		cd ../$$OUTPUT/libjte && ./bootstrap && rm -rf autom4te.cache && cd $$WD; \
		echo "Creating dist tarball in ../$$OUTPUT.tar.xz"; \
		tar -C .. -c --xz -f ../$$OUTPUT.tar.xz $$OUTPUT; rm -rf ../$$OUTPUT

=== debian/changelog ===
jigit (1.22-4ubuntu2) noble; urgency=medium

  * Rename libjte2 package as although it is not affected by the time_t
    transition to 64-bits, it is affected by the LFS migration which is
    implied by the time_t changes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 12:07:12 +1200

jigit (1.22-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable (LP: #2044164). Remaining changes:
    - d/tests: Add basic test as described in libjte/test/demo.c
  * Renamed the debian/tests/launch_demo.sh test to
    debian/tests/launch-demo.sh to satisfy runtime test filename requirements.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Nov 2023 11:09:26 -0600

jigit (1.22-4) unstable; urgency=medium

  * Don't ship empty directory /usr/lib/pkgconfig. Closes: #1041753
  * Fix cross-building. Closes: #836791. Thanks to Helmut Grohne for
    the patch.
     + Let dh_auto_configure pass relevant cross flags
     + Pass triplet-prefixed CC to make

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 Aug 2023 22:10:39 +0100

jigit (1.22-3ubuntu1) kinetic; urgency=medium

  * d/tests: Add basic test as described in libjte/test/demo.c (LP: #1978286)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 08 Jun 2022 17:37:48 +0200

jigit (1.22-3build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:04:25 +0000

jigit (1.22-3) unstable; urgency=medium

  * Multiarchify the library packages. Closes: #812946. Thanks to Matthias
    Klose for the patch, via Ubuntu.
  * Fix up dates for old changelog entries (oops!)

 -- Steve McIntyre <93sam@debian.org>  Fri, 06 Dec 2019 19:08:56 +0000

jigit (1.22-2) unstable; urgency=medium

  * Re-upload as source-only now we're through binary-NEW. No changes.

 -- Steve McIntyre <93sam@debian.org>  Tue, 26 Nov 2019 01:55:03 +0000

jigit (1.22-1) unstable; urgency=medium

  * New upstream release
     + Add support for SHA256 checksums, using jigdo format v2
       - Changes to libjte to generate the new format as an option -
         still defaults to v1 for cmpatibility for now
       -  libjte updated to major version 2
       - Add support for v2 in jigdump, jigit-mkimage etc. too
       - Add new jigsum-sha256 program, for the base64-like output
         with sha256 checksums
     + jigdump now also understands jigdo .iso.tmp files
     + Misc small cleanups
  * libjte gets a new major version (1->2), but ~nothing in the
    archive depends on it

 -- Steve McIntyre <93sam@debian.org>  Thu, 21 Nov 2019 19:18:59 +0000

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,16 @@
  Utilities written to make jigdo files easier to work with.
  .
   jigit-mkimage: program to create images from jigdo files
-  iso-image.pl:  example CGI wrapper for mkimage - make images on the fly!
   jigdump:       list the contents of a template file 
   jigsum:        Output MD5 sums in the base64-style jigdo way
+  jigsum-sha256: Output SHA256 sums in the base64-style jigdo way
   mkjigsnap:     helper script to be run on the upstream server
   parallel-sums: program to generate multiple checksums in parallel
 
-Package: libjte1
+Package: libjte2t64
+Provides: ${t64:Provides}
+Replaces: libjte2
+Breaks: libjte2 (<< ${source:Version})
 Section: libs
 Priority: optional
 Architecture: any
@@ -41,8 +44,7 @@
 Section: libdevel
 Priority: optional
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev, libbz2-dev, libjte2t64 (= ${binary:Version})
 Description: Jigdo Template Export - development
  libjte is a library providing support for creating jigdo files, to be
  used by ISO image creation tools such as xorriso.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,12 @@
 #export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
+
+ifeq ($(origin CC),default)
+	CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -18,8 +22,8 @@
 
 	# Add here commands to compile the package.
 	AUTOMAKE='automake --foreign' dh_autoreconf
-	cd libjte && ./configure --prefix=/usr
-	$(MAKE)
+	dh_auto_configure --sourcedirectory libjte
+	$(MAKE) CC=$(CC)
 
 	touch build-stamp
 
@@ -44,22 +48,20 @@
 
 	# Add here commands to install the package into debian/<packagename>
 	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
-	dh_install -pjigit jigit-mkimage jigdump jigsum parallel-sums usr/bin
-	dh_install -pjigit libjte/bin/jigdo-gen-md5-list usr/bin
+	dh_install -pjigit jigit-mkimage jigdump usr/bin
+	dh_install -pjigit jigsum jigsum-sha256 parallel-sums usr/bin
+	dh_install -pjigit libjte/bin/jigdo-gen-checksum-list usr/bin
 	dh_install -pjigit mkjigsnap usr/sbin
-	dh_install -pjigit jigit-mkimage.1 jigdump.1 jigsum.1 usr/share/man/man1
-	dh_install -pjigit parallel-sums.1 usr/share/man/man1
-	dh_install -pjigit libjte/doc/jigdo-gen-md5-list.1 usr/share/man/man1
+	dh_install -pjigit *.1 usr/share/man/man1
 	dh_install -pjigit mkjigsnap.8 usr/share/man/man8
-	dh_install -pjigit iso-image.pl usr/share/doc/jigit/examples
 
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
-	dh_install -plibjte1 libjte/libjte/.libs/libjte.so.1 usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte2t64 libjte/libjte/.libs/libjte.so.2.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibjte2t64 libjte/libjte/.libs/libjte.so.2 usr/lib/$(DEB_HOST_MULTIARCH)
 
 	dh_install -plibjte-dev libjte/libjte/.libs/libjte.a usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -plibjte-dev libjte/libjte/.libs/libjte.so usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -plibjte-dev libjte/libjte.h usr/include/libjte
-	dh_install -plibjte-dev libjte/libjte-1.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	dh_install -plibjte-dev libjte/libjte-2.pc usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
 
 # Build architecture-independent files here.
 binary-indep: build install

=== debian/tests/control ===
Tests: launch-demo.sh
Depends: jigit
Restrictions: build-needed
